tt_message_xcontext_set(library call)

NAME
tt_message_xcontext_set — set the XDR-interpreted byte-array value of a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_xcontext_set(
Tt_message m,
const char *slotname,
xdrproc_t xdr_proc,
void *value);

DESCRIPTION

The tt_message_xcontext_set function sets the XDR-interpreted byte-array value of a message's context.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the slotname in this message. The value argument is the byte string with the contents for the message argument. The xdr_proc argument points to the XDR procedure to be used to serialize the data pointed to by value. The value argument is the data to be serialized.

RETURN VALUE

Upon successful completion, the tt_message_xcontext_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer does not point at an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

TT_ERR_XDR
    The XDR procedure failed on the given data, or evaluated to a zero-length expression.

SEE ALSO

Tt/tt_c.h - Tttt_c(5)